org.richfaces.component.html

## Class HtmlNotifyMessage

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessage
      - - org.richfaces.component.AbstractNotifyMessage
        - - org.richfaces.component.html.HtmlNotifyMessage

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxOutput, AjaxOutputProps, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, I18nProps, OutputFormatProps, ClientSideMessage, NotifyAttributes

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class HtmlNotifyMessage
      extends AbstractNotifyMessage
      implements javax.faces.component.behavior.ClientBehaviorHolder, AjaxOutput, ClientSideMessage, NotifyAttributes, AjaxOutputProps, CoreProps, I18nProps, OutputFormatProps

  The <rich:notifyMessage> component is built on top of <rich:notify>, the difference is in usage. The <rich:notifyMessage> component displays FacesMessages associated with a given component, similar to <rich:message>: one notification is displayed for first FacesMessage in the stack that is risen either programatically or during conversion/validation of the component. The severity of the message determines the color and icon of the resulting notification.

  Author:
    Lukas Fryc, Brian Leathem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HtmlNotifyMessage.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlNotifyMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `Double` | `getNonblockingOpacity()`
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getStack()`
    `Integer` | `getStayTime()`
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `boolean` | `isAjaxRendered()` getter for ajax-rendered flag property.
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `boolean` | `isEscape()` Flag indicating that characters that are sensitive in HTML and XML markup must be escaped.
    `boolean` | `isKeepTransient()` getter for keep transient property.
    `boolean` | `isNonblocking()`
    `boolean` | `isShowCloseButton()`
    `boolean` | `isShowShadow()`
    `boolean` | `isSticky()`
    `void` | `setAjaxRendered(boolean ajaxRendered)` Setter for ajax rendered property.
    `void` | `setDir(String dir)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setEscape(boolean escape)`
    `void` | `setKeepTransient(boolean keepTransient)` Setter for keep transient property.
    `void` | `setLang(String lang)`
    `void` | `setNonblocking(boolean nonblocking)`
    `void` | `setNonblockingOpacity(Double nonblockingOpacity)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setShowCloseButton(boolean showCloseButton)`
    `void` | `setShowShadow(boolean showShadow)`
    `void` | `setStack(String stack)`
    `void` | `setStayTime(Integer stayTime)`
    `void` | `setSticky(boolean sticky)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.richfaces.component.AbstractNotifyMessage

      `updateMessages`

    - ### Methods inherited from class javax.faces.component.UIMessage

      `getFor, isRedisplay, isShowDetail, isShowSummary, setFor, setRedisplay, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.ClientSideMessage

      `getFor, updateMessages`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlNotifyMessage

          public HtmlNotifyMessage()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIMessage`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isAjaxRendered

          public boolean isAjaxRendered()

      Description copied from interface: `AjaxOutput`
      getter for ajax-rendered flag property.
      Specified by:
        `isAjaxRendered` in interface `AjaxOutput`
      Specified by:
        `isAjaxRendered` in interface `AjaxOutputProps`
      Returns:
        ajax-rendered flag

    - #### setAjaxRendered

          public void setAjaxRendered(boolean ajaxRendered)

      Description copied from interface: `AjaxOutput`
      Setter for ajax rendered property.
      Specified by:
        `setAjaxRendered` in interface `AjaxOutput`

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`
      Specified by:
        `isDisabled` in class `AbstractNotifyMessage`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### isEscape

          public boolean isEscape()

      Description copied from interface: `OutputFormatProps`
      Flag indicating that characters that are sensitive in HTML and XML markup must be escaped. This flag is set to "true" by default.
      Specified by:
        `isEscape` in interface `OutputFormatProps`

    - #### setEscape

          public void setEscape(boolean escape)

    - #### isKeepTransient

          public boolean isKeepTransient()

      Description copied from interface: `AjaxOutput`
      getter for keep transient property.
      Specified by:
        `isKeepTransient` in interface `AjaxOutput`
      Specified by:
        `isKeepTransient` in interface `AjaxOutputProps`
      Specified by:
        `isKeepTransient` in class `AbstractNotifyMessage`
      Returns:
        keep transient property

    - #### setKeepTransient

          public void setKeepTransient(boolean keepTransient)

      Description copied from interface: `AjaxOutput`
      Setter for keep transient property.
      Specified by:
        `setKeepTransient` in interface `AjaxOutput`

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### isNonblocking

          public boolean isNonblocking()

      Specified by:
        `isNonblocking` in interface `NotifyAttributes`

    - #### setNonblocking

          public void setNonblocking(boolean nonblocking)

      Specified by:
        `setNonblocking` in interface `NotifyAttributes`

    - #### getNonblockingOpacity

          public Double getNonblockingOpacity()

      Specified by:
        `getNonblockingOpacity` in interface `NotifyAttributes`

    - #### setNonblockingOpacity

          public void setNonblockingOpacity(Double nonblockingOpacity)

      Specified by:
        `setNonblockingOpacity` in interface `NotifyAttributes`

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### isShowCloseButton

          public boolean isShowCloseButton()

      Specified by:
        `isShowCloseButton` in interface `NotifyAttributes`

    - #### setShowCloseButton

          public void setShowCloseButton(boolean showCloseButton)

      Specified by:
        `setShowCloseButton` in interface `NotifyAttributes`

    - #### isShowShadow

          public boolean isShowShadow()

      Specified by:
        `isShowShadow` in interface `NotifyAttributes`

    - #### setShowShadow

          public void setShowShadow(boolean showShadow)

      Specified by:
        `setShowShadow` in interface `NotifyAttributes`

    - #### getStack

          public String getStack()

      Specified by:
        `getStack` in interface `NotifyAttributes`

    - #### setStack

          public void setStack(String stack)

      Specified by:
        `setStack` in interface `NotifyAttributes`

    - #### getStayTime

          public Integer getStayTime()

      Specified by:
        `getStayTime` in interface `NotifyAttributes`

    - #### setStayTime

          public void setStayTime(Integer stayTime)

      Specified by:
        `setStayTime` in interface `NotifyAttributes`

    - #### isSticky

          public boolean isSticky()

      Specified by:
        `isSticky` in interface `NotifyAttributes`

    - #### setSticky

          public void setSticky(boolean sticky)

      Specified by:
        `setSticky` in interface `NotifyAttributes`

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`
      Specified by:
        `getStyleClass` in interface `NotifyAttributes`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

      Specified by:
        `setStyleClass` in interface `NotifyAttributes`

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.